Subject: Re: [PATCH 2/2] gnu: Remove ghc-parsec, ghc-stm, ghc-text, ghc-xhtml.

From: Robert Vollmert <[email-masked]>
Date: Thu, 4 Jul 2019 10:15:13 +0200

Hi,

I’d like to ask someone to look at and ideally apply these patches.

I’ve just updated and rebundled them to fix the haskell packages
that were added to Guix in the meantime (original patch from Jun 1:
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=36038).

Consensus last time this was discussed was that we should implicitly
depend on the GHC-included packages instead of re-packaging them:

https://lists.gnu.org/archive/html/guix-patches/2019-06/msg00000.html

Cheers
Robert

> On 4. Jul 2019, at 09:57, Robert Vollmert <[email-masked]> wrote:
> 
> These are ghc-8.4-bundled packages, removing to avoid build
> conflicts.
> 
> * gnu/packages/haskell.scm (ghc-parsec, ghc-stm, ghc-text): Remove.
> * gnu/packages/haskell-web.scm (ghc-xhtml): Remove.
> * gnu/packages/{agda,bioinformatics,haskell,haskell-apps,haskell-check,
> haskell-crypto,haskell-web,idris,wm}.scm: Remove dependencies on
> ghc-parsec, ghc-stm and ghc-text.